/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package motifkmer;

/**
 *
 * @author Rahul Semwal
 * @param <T>
 */
public class LinkNode<T> 
{
    @SuppressWarnings("FieldMayBeFinal")
    private T data;
    public LinkNode<T> next;
    public LinkNode(T data)
    {
        this.data =data;
    }
    public T getValue() 
    {
        return data;
    }
}
